from .Conv2d import Conv2dFlatbuffer
from mediatools.utils.registry import register_mnn_convert_classes


@register_mnn_convert_classes('Conv2dTransposeFixpoint')
class Conv2dTransposeFlatbuffer(Conv2dFlatbuffer):
    def __init__(self, **kwargs) -> None:
        super(Conv2dTransposeFlatbuffer, self).__init__(**kwargs)
        self.OPtype = "Deconvolution"
        self.out_ch_axis = 1
